dpp::autocomplete_interaction
dpp::command_interaction
appcommand.h
snowflake snowflake dpp::command_interaction::id id dpp::command_interaction::id

The ID of the invoked command.

std::string std::string dpp::command_interaction::name name dpp::command_interaction::name

The name of the invoked command.

std::vector< command_data_option > std::vector<command_data_option> dpp::command_interaction::options options dpp::command_interaction::options

Optional: the params + values from the user.

dpp::snowflake dpp::snowflake dpp::command_interaction::target_id target_id dpp::command_interaction::target_id

Non-zero target ID for context menu actions (e.g. user id or message id whom clicked or tapped with the context menu).

https://discord.com/developers/docs/interactions/application-commands#user-commands

slashcommand_contextmenu_type slashcommand_contextmenu_type dpp::command_interaction::type type dpp::command_interaction::type

The type of command interaction.

std::string std::string dpp::command_interaction::get_mention () const get_mention dpp::command_interaction::get_mention

Return a ping/mention for the slash command.

std::string mention. e.g. `</airhorn:816437322781949972>`

If you want a mention for a subcommand or subcommand group, you can use dpp::utility::slashcommand_mention

typename T
T & T & dpp::command_interaction::get_value (size_t index) get_value dpp::command_interaction::get_value size_t index

Get an option value by index.

T

Type to get from the parameter

index

index of the option

T returned type

An auto complete interaction.

dpp::autocomplete_interaction
dpp::command_interaction
T
bool
command_option_type
dpp::autocomplete_interaction
dpp::command_data_option
name
type
value
options
focused
dpp::command_interaction
id
target_id
name
options
type
dpp::snowflake
value
slashcommand_contextmenu_type
std::basic_string< Char >
std::string
variant< std::monostate, std::string, int64_t, bool, snowflake, double >
std::vector< T >
elements
std::vector< dpp::command_data_option >
elements
< dpp::command_data_option >
uint64_t
- dpp::autocomplete_interaction
  get_mention
- dpp::autocomplete_interaction
  get_value
- dpp::autocomplete_interaction
  id
- dpp::autocomplete_interaction
  name
- dpp::autocomplete_interaction
  options
- dpp::autocomplete_interaction
  target_id
- dpp::autocomplete_interaction
  type